diff mbox series

[bug#44730,GAJIM] : Fix loading of installed plugins

Message ID 413febc7-09cc-fd0b-18ee-eef5bd0b0305@raghavgururajan.name
State New
Headers show
Series [bug#44730,GAJIM] : Fix loading of installed plugins | expand

Checks

Context Check Description
cbaines/submitting builds success
cbaines/comparison success View comparision
cbaines/git branch success View Git branch
cbaines/applying patch fail View Laminar job
cbaines/issue success View issue

Commit Message

Raghav Gururajan Nov. 19, 2020, 9:44 p.m. UTC
Hello Tobias!

As we discussed in IRC, here are the patches to downgrade gajim-plugins.

Regards,
RG.
diff mbox series

Patch

From e97939170362cbcac58537f72d929c14a675d095 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Thu, 19 Nov 2020 16:40:17 -0500
Subject: [PATCH 2/2] gnu: gajim-openpgp: Downgrade to 1.2.14.

* gnu/packages/messaging.scm (gajim-openpgp) [version]: Downgrade to 1.2.14.

This gajim-plugin is downgraded to a version that is compatible with
the stable version of gajim (1.2.2).
---
 gnu/packages/messaging.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
index e970c3f000..9a2034f253 100644
--- a/gnu/packages/messaging.scm
+++ b/gnu/packages/messaging.scm
@@ -897,7 +897,7 @@  multi-client end-to-end encryption.")
 (define-public gajim-openpgp
   (package
     (name "gajim-openpgp")
-    (version "1.3.5")
+    (version "1.2.14")
     (source
      (origin
        (method url-fetch/zipbomb)
@@ -906,7 +906,7 @@  multi-client end-to-end encryption.")
          "https://ftp.gajim.org/plugins_releases/openpgp_"
          version ".zip"))
        (sha256
-        (base32 "1jvpl2gjl5xxvsgxpmvh3mn2mm142dg2hknakkc32swb7l1fqx5m"))))
+        (base32 "0wdjpf1i4pvl4ha4plfpywwi9aw5n2mhrpv8mmbidpawxqfbd94b"))))
     (build-system trivial-build-system)
     (arguments
      `(#:modules ((guix build utils))
-- 
2.29.2